# Bookmarks

This page will be my effort to migrate bookmarks out of my web browsers and onto this page. Because why should these
great links be locked away in Mozilla's heavily encrypted Sync service? I can probably keep track of them better myself,
and this way I won't have to worry about losing them to a browser glitch!

Also, some of these links may be helpful to others.

If you want to bookmark my bookmarks, then bookmark _this_ page, as I may be reorganizing some of these onto
sub-pages when this list gets too long.

* [Development](#development)
    * [Bash](#bash)
    * [C/C++](#c-c)
    * [HTML/CSS](#html-css)
    * [Game Dev](#game-dev)
    * [Git](#git)
    * [Go](#go) — Golang
    * [JavaScript](#javascript)
    * [PHP](#php)
    * [Programmer Humor](#programmer-humor)
    * [Python](#python)
    * [Technology](#technology) — Hadoop, MongoDB, etc.
        * [Google Ban Hammer](#google-ban-hammer) — Because people don't believe me without examples.
    * [Tutorials](#tutorials)
    * [Unicode](#unicode)
    * [Web Development](#web-development) — HTML, JavaScript &amp; CSS
        * [API Design](#api-design)
        * [Web Dev Tools](#web-dev-tools)
* [Gaming](#gaming)
* [Introversion](#introversion) — Topics about introverts.
* [Network Security](#network-security) — Encryption, OpSec, &amp; hacking topics.
  * [NSA](#nsa) — Stories of the NSA, Edward Snowden, and related OpSec topics.
* [Philosophy](#philosophy)
* [Short Stories](#short-stories)
* [Reddit](#reddit) — Miscellaneous cool Reddit threads and comments.

# Development

* [40 Key Computer Science Concepts Explained in Layman's Terms](http://carlcheo.com/compsci)
* [Programming Sucks](http://www.stilldrinking.org/programming-sucks)
* Joel on Software
  * [Back to Basics](https://www.joelonsoftware.com/2001/12/11/back-to-basics/) — A look back at C and how our high-level software actually works.
  * [The Law of Leaky Abstractions](https://www.joelonsoftware.com/2002/11/11/the-law-of-leaky-abstractions/) — Leaky abstractions in SQL engines and everywhere else.
* [What Color is Your Function?](http://journal.stuffwithstuff.com/2015/02/01/what-color-is-your-function/) — Synchronous vs. asynchronous functions in languages and what a pain they are.
* [Talks that changed the way I think about programming](http://www.opowell.com/post/talks-that-changed-the-way-i-think-about-programming/)

## Bash

* [Better Bash Scripting in 15 Minutes](https://robertmuth.blogspot.it/2012/08/better-bash-scripting-in-15-minutes.html)
* [Use the Unofficial Bash Strict Mode (Unless You Looove Debugging)](http://redsymbol.net/articles/unofficial-bash-strict-mode/)

## C/C++

* [How to C (in 2016)](https://matt.sh/howto-c)

## HTML/CSS

* [The 30 CSS Selectors you Must Memorize](https://code.tutsplus.com/tutorials/the-30-css-selectors-you-must-memorize--net-16048)
* [The CSS that you don't know about](https://medium.com/@mjtweaver/the-css-that-you-dont-know-about-d5945cea1c94) — More CSS selectors
* [`flex-grow` is weird. Or is it?](https://css-tricks.com/flex-grow-is-weird/)

## Game Dev

* Post-mortems and Tales
  * [Super Merryo Trolls](http://garote.bdmonkeys.net/merryo_trolls/) — or An Adventure From The Days Before VRAM
  * [The SCUMM Diary: Stories behind one of the greatest game engines ever made](https://www.gamasutra.com/view/feature/196009/The_SCUMM_Diary_Stories_behind_one_of_the_greatest_game_engines_ever.php)
  * [Why I've Said Goodbye to Mobile in Favor of PC](https://www.gamasutra.com/blogs/ThomasHenshell/20140807/222732/Why_Ive_Said_Goodbye_to_Mobile_in_Favor_of_PC.php)
  * [A Trip Down the Graphics Pipeline](http://doc-ok.org/?p=1057)
  * [Your greatest bug ever?](https://www.reddit.com/r/gamedev/comments/2k767e/your_greatest_bug_ever/) — A discussion on Reddit full of good stories.
  * [Designing a "playable" UI that secretly teaches you how to play](http://juicybeast.com/2014/10/28/designing-a-playable-ui-that-secretly-teaches-how-to-play/)
  * [The Evolution of **RollerCoaster Tycoon**](http://www.nicscorner.com/evo_of_rct.htm)
* Anti-Cheat
  * [EarthBound's Copy Protection](http://media.earthboundcentral.com/2011/05/earthbounds-copy-protection/index.html)
* Breakdowns &amp; Reverse Engineering
  * [An Analysis of **Super Metroid's Camera Code**, and using it for a 360-degree aiming 2D platform shooter](http://suppressivefiregames.tumblr.com/post/85891843723/an-analysis-of-super-metroids-camera-code-and)
  * [Spoofing *Pokémon* trades with the Stellaris LaunchPad](http://www.adanscotney.com/2014/01/spoofing-pokemon-trades-with-stellaris.html) — A hardware hack for the original GameBoy games.
  * [How *Zelda* Gets Lock And Key Puzzles Right](http://howtomakeanrpg.com/a/how-zelda-gets-lock-and-key-puzzles-right.html)
  * [Writing a GameBoy Advance Game](https://www.reinterpretcast.com/writing-a-game-boy-advance-game)
  * [Making a GameBoy Game in 2017](https://www.gamasutra.com/blogs/DoctorLudos/20171207/311143/Making_a_Game_Boy_game_in_2017_A_quotSheep_It_Upquot_PostMortem_part_12.php)
* Multiplayer &amp; Networking
  * [Fast-Paced Multiplayer](http://www.gabrielgambetta.com/client-server-game-architecture.html) — Client-Server Game Architecture
  * [Game Server Protocols](https://1024monkeys.wordpress.com/2015/01/03/game-server-protocols-part-1-starting-out/)
  * [64 Network DO's and DON'Ts for Game Engine Developers](http://ithare.com/64-network-dos-and-donts-for-game-engine-developers-part-i-client-side/)
* Minecraft-likes
  * [An Analysis of Minecraft-like Engines](https://0fps.net/2012/01/14/an-analysis-of-minecraft-like-engines/)
  * [Perlin Noise Generator in **Python**](http://www.pygame.org/project-Perlin+Noise+Generator-1044-.html)
  * [**Python** 3D Cube World Demo](http://www.danomagnum.com/wiki/Python3dCubeWorld)
  * [Pixels and voxels, the long answer](https://medium.com/retronator-magazine/pixels-and-voxels-the-long-answer-5889ecc18190#.brplcilxj)
* Tutorials
  * [So you want to be a **pixel artist?**](http://gas13.ru/v3/tutorials/sywtbapa_almighty_grass_tile.php) — 11-part series on Pixel Art
  * [Game Programming Patterns](http://gameprogrammingpatterns.com/) — Free e-book
  * [The A-ha! Moment of being a game development beginner](https://antjanus.com/blog/web-development-tutorials/ha-moment-game-development-beginner/)
  * [The guide to implementing **2D platformers**](http://higherorderfun.com/blog/2012/05/20/the-guide-to-implementing-2d-platformers/)
  * [HD Index Painting in Photoshop](http://danfessler.com/blog/hd-index-painting-in-photoshop) — Pixel art
  * [2D Game Art for Programmers](http://www.2dgameartguru.com/) — Guides on vector art using Inkscape, GIMP &amp; co.
  * [Developer's **Music Making** Guide](http://ruoyusun.com/2017/08/29/make-some-music.html)
  * [Tips for Building Mobile Games in HTML5](https://thomashunter.name/blog/tips-for-building-mobile-games-in-html5/)
* Tools
  * [Game Mechanic Explorer](https://gamemechanicexplorer.com/) — Interactive demos and code samples for common game mechanics.
  * [GifCam](http://blog.bahraniapps.com/gifcam/) — Like FRAPS, to make gifs from your games

## Git

* [Git Flight Rules](https://github.com/k88hudson/git-flight-rules/blob/master/README.md) — A guide for what to do when things go wrong. *"Flight Rules are the hard-earned body of knowledge recorded in manuals that list, step-by-step, what to do if X occurs, and why. Essentially, they are extremely detailed, scenario-specific standard operating procedures. [...]"*
* [Most common git screwups/questions and solutions](http://41j.com/blog/2015/02/common-git-screwupsquestions-solutions/)

## Go

* [Learning Go (golang)](https://medium.com/go-go-go/learning-go-golang-47127a796323)
* [Practical Golang: Using **Protobuffs**](https://jacobmartins.com/2016/05/24/practical-golang-using-protobuffs/)
* [Go Best Practices, Six Years In](https://peter.bourgon.org/go-best-practices-2016/) (2016)
* [Common Comments in Go Code Reviews](https://github.com/golang/go/wiki/CodeReviewComments)
* [Go **channels** are bad and you should feel bad](https://www.jtolds.com/2016/03/go-channels-are-bad-and-you-should-feel-bad/)
* [**godoc:** Tips &amp; Tricks](https://elliot.land/post/godoc-tips-tricks)
* Project Organization
  * [What is a sensible way to layout a Go project?](https://stackoverflow.com/questions/14867452/what-is-a-sensible-way-to-layout-a-go-project)
  * [Architecture for a Golang Web App](https://larry-price.com/blog/2015/06/25/architecture-for-a-golang-web-app/)
  * [Structuring Applications in Go](https://medium.com/@benbjohnson/structuring-applications-in-go-3b04be4ff091)
  * [The Project Directory Structure](http://www.nguyenanhdung.info/2017/11/golang-project-directory-structure.html)
* Makefiles
  * [Make and Go for Fun and Profit](https://unwiredcouch.com/2016/05/31/go-make.html)
* Interoperability
  * [Mobile Go, part 1: Calling Go functions from **C**](https://medium.com/using-go-in-mobile-apps/using-go-in-mobile-apps-part-1-calling-go-functions-from-c-be1ecf7dfbc6)
  * [Building **Python** modules with Go 1.5](https://blog.filippo.io/building-python-modules-with-go-1-5/)
  * [See **Python**, See Python Go, Go Python Go](https://blog.heroku.com/see_python_see_python_go_go_python_go) — Running a Go web server in Python
  * [Turning Go code into an npm module with GopherJS (**JavaScript**)](https://github.com/mdp/bluemonday-js/blob/601f63ea62b2771b20ff2057dc504dacd8659e31/README.md#turning-golang-code-into-an-npm-module-with-gopherjs)
* Tutorials
  * [Build Your Own Web Framework in Go](https://www.nicolasmerouze.com/build-web-framework-golang/)
  * [Building Go Web Applications and Microservices Using **Gin**](https://semaphoreci.com/community/tutorials/building-go-web-applications-and-microservices-using-gin)
  * [**HTML Templates** in Go](https://www.calhoun.io/html-templates-in-go/)
  * [**Job Queues** in Go](https://www.opsdash.com/blog/job-queues-in-go.html)
  * [Using Go's **context** library for making your logs make sense](https://blog.gopheracademy.com/advent-2016/context-logging/)

## JavaScript

* [JavaScript Module Pattern: In-Depth](http://www.adequatelygood.com/JavaScript-Module-Pattern-In-Depth.html) — How to write self-contained JavaScript modules in raw ES5.
* [Deploying ES2015+ Code in Production Today](https://philipwalton.com/articles/deploying-es2015-code-in-production-today/) — Using `<script type="module">` and `<script nomodule>` to ship native ES6 code to the browser, with pre-browserified fallback for legacy users.

## PHP

I don't hide my critism of the PHP language.

* [PHP: a fractal of bad design](https://eev.ee/blog/2012/04/09/php-a-fractal-of-bad-design/) — A thorough breakdown (from 2012) of all of PHP's problems.

## Programmer Humor

* [html - RegEx match open tags except XHTML self-contained tags](https://stackoverflow.com/questions/1732348/regex-match-open-tags-except-xhtml-self-contained-tags/1732454#1732454) — TO͇̹̺ͅƝ̴ȳ̳ TH̘Ë͖́̉ ͠P̯͍̭O̚​N̐Y̡ H̸̡̪̯ͨ͊̽̅̾̎Ȩ̬̩̾͛ͪ̈́̀́͘ ̶̧̨̱̹̭̯ͧ̾ͬC̷̙̲̝͖ͭ̏ͥͮ͟Oͮ͏̮̪̝͍M̲̖͊̒ͪͩͬ̚̚͜Ȇ̴̟̟͙̞ͩ͌͝S̨̥̫͎̭ͯ̿̔̀ͅ

## Python

* [Elements of Python Style](https://github.com/amontalenti/elements-of-python-style)
* [Anti-Patterns in Python Programming](http://lignos.org/py_antipatterns/)
* [A simple interpreter from scratch on Python](http://jayconrod.com/posts/37/a-simple-interpreter-from-scratch-in-python-part-1)
* [How can I make a chain of function **decorators** in Python?](https://stackoverflow.com/questions/739654/how-to-make-a-chain-of-function-decorators)
* [Cheat Sheet: Writing **Python 2-3** compatible code](http://python-future.org/compatible_idioms.html)

## Technology

* [Don't use **Hadoop** - your data isn't that big](https://www.chrisstucchio.com/blog/2013/hadoop_hatred.html)
* [Why You Should Never Use **MongoDB**](http://www.sarahmei.com/blog/2013/11/11/why-you-should-never-use-mongodb/)
* [**OAuth 2.0** and the Road to Hell](https://hueniverse.com/oauth-2-0-and-the-road-to-hell-8eec45921529) — How OAuth2 was "killed by committee" and became the fustercluck that it is.
* [How **Google Authenticator** Works](https://garbagecollected.org/2014/09/14/how-google-authenticator-works/) — Time-Based One-Time Password **(TOTP)** Algorithm
* [**Vim** after 11 years](https://statico.github.io/vim.html) (2013)
* [The Rise and Fall of AIM, the Breakthrough AOL Never Wanted](http://mashable.com/2014/04/15/aim-history/)
* [about:jwz and about:mozilla](https://www.jwz.org/doc/about-jwz.html)
* [Here's What Happens When You Install the Top 10 Download.com Apps](https://www.howtogeek.com/198622/heres-what-happens-when-you-install-the-top-10-download.com-apps/) — Spam is what you get. See also [my related blog entry](/a-dumb-end-user-experiment)
* [**H.264** is Magic](https://sidbala.com/h-264-is-magic/)

### Google Ban Hammer

If you violate terms in any of Google's monetary services, your account can be globally banned from *all* Google services that come anywhere near money. Get accused of click fraud in AdSense, and you can no longer buy apps on Google Play or buy credit in Google Voice.

* [Google Play - Only one strike is needed to ruin you](https://www.reddit.com/r/Android/comments/2hywu9/google_play_only_one_strike_is_needed_to_ruin_you/) (Android)
* [As an Android developer AND user having your developer account terminated is devastating](https://www.reddit.com/r/androiddev/comments/2jw9cj/as_an_android_developer_and_user_having_your/)
* [From /r/AndroidDev, 'This is how Google kills our apps'](https://www.reddit.com/r/Android/comments/2k72or/from_randroiddev_this_is_how_google_kills_our/) — Competitors may falsely flag your app, getting it immediately pulled from the store _and_ your account flagged. `#GoogleBanHammer`
  * [A story from the comment thread](https://www.reddit.com/r/androiddev/comments/2jw9cj/as_an_android_developer_and_user_having_your/clfss1u/) about how Google can associate _new_ Google accounts with the terminated one (similarity in name, address, payment details, anything) — and ban that account, too. It's a ban on you, the developer, not your account!

## Tutorials

* [Implementing a Partial **Serial Number Verification System** in Delphi](http://www.brandonstaggs.com/2007/07/26/implementing-a-partial-serial-number-verification-system-in-delphi/)
* [What are the best practices for building something like a News Feed?](https://www.quora.com/What-are-the-best-practices-for-building-something-like-a-news-feed) — Concerns and problems with implementing a Twitter-style News Feed.

## Unicode

* [Five things everyone should know about Unicode](https://gojko.net/2017/11/07/five-things-about-unicode.html)

## Web Development

* [What should every programmer know about web development?](https://softwareengineering.stackexchange.com/questions/46716/what-technical-details-should-a-programmer-of-a-web-application-consider-before)
* [The unexpected costs of third-party login](https://medium.com/@taylorhughes/the-unexpected-costs-of-third-party-login-cda41c087653) — The problems one may encounter when implementing a "Login with Facebook" on their site. Many users prefer to just sign up custom accounts instead.
* [We Suck at HTTP](https://gadgetopia.com/post/9236) — *Unlike web pages, mobile apps do not have links. They do not have web addresses. They live in worlds by themselves, largely cut off from one another and the broader Internet. And so it is much harder to share the information found on them.*

## API Design

* [Best Practices for Designing a Pragmatic RESTful API](http://www.vinaysahni.com/best-practices-for-a-pragmatic-restful-api)
* [My first experience creating an API](https://restful.io/making-my-first-api-using-python-flask-8d7d83e45e36)

## Web Dev Tools

* [&amp;what; -- Discover Your Character](http://www.amp-what.com/) — HTML entity finder.
* [Bandwidth to Filesize Calculator](https://toolstud.io/data/filesize.php)
* [Sprite Cow - Generate CSS for sprite sheets](http://www.spritecow.com/)

# Gaming

* Minecraft
  * [XP Farm Guide](https://imgur.com/a/gkNzm?gallery) — Basics on how to turn a spawner dungeon into an automated mob grinder.
  * [Negative Space](https://imgur.com/a/yqlkc#0) — A building design guide.
  * [My Guide to Building Modularly, and the Power of Cubes!](https://imgur.com/a/K1Vyk)
* Pokémon
  * [**Pokémon X/Y Guide** Megathread](https://www.reddit.com/r/pokemon/comments/1ov1s5/pok%C3%A9mon_xy_guide_megathread/) — Collection of all sorts of in-depth guides.
* Zelda
  * [**Breath of the Wild** Data Compendium](https://docs.google.com/document/d/1QiaqiORIK0BVTRjO-PtHKyAL5nTT8QushYDIWozNwoo/edit) — Way more numbers than you ever wanted about weapons, attacks, defense, HP and so-on.

# Introversion

* [The Pros and Cons of being an Introvert](https://thebranchingmind.com/2017/09/03/the-pros-and-cons-of-being-an-introvert/)

# Network Security

* Operational Security (OpSec) — *The first rule of OpSec is you don't talk about your OpSec.*
  * [Protecting a Laptop from Simple and Sophisticated Attacks](https://www.grepular.com/Protecting_a_Laptop_from_Simple_and_Sophisticated_Attacks)
  * [Secure Secure Shell](https://stribika.github.io/2015/01/04/secure-secure-shell.html) — SSH hardening tips &amp; tricks.
  * [15 reasons NOT to start using PGP](http://secushare.org/PGP) — It's harder to use *optional* encryption over *insecure* e-mail when there are better alternatives.
  * [OpenPGP Best Practices](https://riseup.net/en/security/message-security/openpgp/best-practices) — If you *must* use PGP.
  * [What Sean Penn Teaches Us About How Not to Chat With a Fugitive](https://theintercept.com/2016/01/12/sean-penn-el-chapo-opsec/) — El Chapo post-mortem on OpSec failure.
  * [**Ed Snowden** Taught Me to Smuggle Secrets Past Incredible Danger. Now I Teach You.](https://theintercept.com/2014/10/28/smuggling-snowden-secrets/)
  * [NSA-proof your e-mail in 2 hours](http://sealedabstract.com/code/nsa-proof-your-e-mail-in-2-hours/)
* Post-mortems and Tales
  * [Reflections on Trusting Trust](http://wiki.c2.com/?TheKenThompsonHack) — The **Ken Thompson Hack** - Can you trust your C compiler? Linker? Kernel? Hardware?
  * [Pwning a Spammer's Keylogger](https://www.trustwave.com/Resources/SpiderLabs-Blog/Pwning-a-Spammer-s-Keylogger/)
  * [Everything Is Broken](https://medium.com/message/everything-is-broken-81e5f33a24e1)
  * [Lockdown: The coming war on general-purpose computing](https://boingboing.net/2012/01/10/lockdown.html) (2011)
  * [Fun with your friend's Facebook and Tinder sessions](https://robertheaton.com/2014/12/08/fun-with-your-friends-facebook-and-tinder-session-tokens/)
  * [Snapchat Protocol Reverse Engineering &amp; Security Audit](http://gibsonsec.org/snapchat/fulldisclosure/)
* Cryptography
  * [You are dangerously bad at cryptography](https://www.happybearsoftware.com/you-are-dangerously-bad-at-cryptography.html)
  * [Myths about `/dev/urandom`](https://www.2uo.de/myths-about-urandom/)
* Tor Project &amp; Onion Routing
  * [Tor Project](https://www.torproject.org/)
  * [Combining Tor with a VPN](https://www.deepdotweb.com/jolly-rogers-security-guide-for-beginners/combining-tor-with-a-vpn/)
* Tutorials
  * [Secure Salted Password Hashing - How to do it Properly](https://crackstation.net/hashing-security.htm)
  * [Enhanced challenge/response authentication algorithms](http://openwall.info/wiki/people/solar/algorithms/challenge-response-authentication)
  * [How to use DM-Crypt to Create an Encrypted Volume on Ubuntu](https://www.digitalocean.com/community/tutorials/how-to-use-dm-crypt-to-create-an-encrypted-volume-on-an-ubuntu-vps)
* References and Cheat Sheets
  * [XSS Filter Evasion Cheat Sheet](https://www.owasp.org/index.php/XSS_Filter_Evasion_Cheat_Sheet) — Defeating cross-site scripting filters

## NSA

* Nothing to Fear, Nothing to Hide
  * [If You Are Doing Nothing Wrong You Have PLENTY to Fear - 30 Examples](https://foodforthethinkers.com/2014/04/25/if-you-are-doing-nothing-wrong-you-have-plenty-to-fear-30-examples/)
* The Chilling Effect
  * [Mass surveillance silences minority opinions, according to study - The Washington Post](https://www.washingtonpost.com/news/the-switch/wp/2016/03/28/mass-surveillance-silences-minority-opinions-according-to-study/)
* NSA Sharing their Warez
  * [NSA Tools for Spying on Foreign Terrorists Used by **DEA** to Bust Americans for Drugs](https://www.reddit.com/r/Libertarian/comments/1jqmnu/nsa_tools_for_spying_on_foreign_terrorists_used/)
* OpSec
  * [PRISM Break - Opt out of global surveillance programs like PRISM, XKeyscore, and Tempora](https://prism-break.org/en/) — Comprehensive guide to open source tools and best practices.
  * [NSA-proof your e-mail in 2 hours](http://sealedabstract.com/code/nsa-proof-your-e-mail-in-2-hours/)
  * [Get your loved ones off Facebook](http://www.salimvirani.com/facebook/)
* [Inside the NSA's War on Internet Security](http://www.spiegel.de/international/germany/inside-the-nsa-s-war-on-internet-security-a-1010361.html)
* [We're Deprecating HTTP and It's Going to be Okay](https://konklone.com/post/were-deprecating-http-and-its-going-to-be-okay) — HTTPS Everywhere!
* [Having Lost the Debate on Backdooring Encryption, Intelligence Community Plans to Wait Until Next Terrorist Attack](https://www.techdirt.com/articles/20150916/15570332276/having-lost-debate-backdooring-encryption-intelligence-community-plans-to-wait-until-next-terrorist-attack.shtml)
* [More Stories of People Arrested for Making Joke Threats on Social Networks](https://www.techdirt.com/articles/20100923/01464111127/more-stories-of-people-arrested-for-making-joke-threats-on-social-networks.shtml)

# Philosophy

* [Breaking into the Simulated Universe](https://ieet.org/index.php/IEET2/more/Edge20161030)

# Short Stories

* [There Will Come Soft Rains by Bradbury](http://www.gs.cidsnet.de/englisch-online/originals/soft_rains.htm) — A chilling tale of a smart home in a post-apocalyptic future.
* [The Last Question by Isaac Asimov](http://multivax.com/last_question.html) — A short story about the heat death of the universe. *How can entropy be reversed?*
* [The Last Answer by Isaac Asimov](http://www.thrivenotes.com/the-last-answer/) — A short story about an afterlife of never-ending consciousness.
* [I don't know, Timmy, being God is a big responsibility](https://qntm.org/responsibility) — A short story about a supercomputer that simulates the universe a little *too* perfectly. *"Well, we can't exactly turn it off."*
* [The Egg by Andy Weir](http://www.galactanet.com/oneoff/theegg_mod.html) — A story about the space in between lives. [Excellent YouTube adaptation.](https://www.youtube.com/watch?v=ehRggplMieM)
* [Ragged Trousered Philosopher](http://www.fullmoon.nu/articles/art.php?id=tal) — A conversation with God on a train.
* [The Machine](http://www.effectgames.com/demos/canvascycle/) — A webcomic about teleporters and whether they murder &amp; re-materialize their users.
* [25 Lives](https://s2b2.livejournal.com/142934.html) — A touching webcomic about reincarnation.

# Reddit

* [Surprise psychology on *What is the most cynical thing you honestly believe?*](https://www.reddit.com/r/AskReddit/comments/19hfj3/what_is_the_most_cynical_thing_you_honestly/c8o44w2/)
* [You had ONE job](https://www.reddit.com/r/funny/comments/2dsyys/you_had_one_job/) — Placeholder texts in production.
* [rugtoad comments on 'What do insanely poor people buy, that ordinary people know nothing about?'](https://www.reddit.com/r/AskReddit/comments/2sbi17/what_do_insanely_poor_people_buy_that_ordinary/cno0g4b/)
* [What are the things you simply DON'T FUCK WITH?](https://www.reddit.com/r/AskReddit/comments/2t1qwh/what_are_the_things_you_simply_dont_fuck_with/) — Chemistry.
* [More scary chemicals that you don't fuck with](https://www.reddit.com/r/AskReddit/comments/4ioqd5/what_do_you_never_fuck_with/d3028rn?context=4)
* [10 years from now I am a scientist working at the Large Hadron Collider. AMA.](https://www.reddit.com/r/IAmA/comments/9z4d5/10_years_from_now_i_am_a_scientist_working_at_the/) — Humor.
* [You just won a 656 Million Dollar Lottery. What do you do now?](https://www.reddit.com/r/AskReddit/comments/24vzgl/you_just_won_a_656_million_dollar_lottery_what_do/chba4bf/) — In case that ever happens.
